curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "leave",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"name": "<string>",
"external_id": "<string>",
"leave_type": "<string>",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"fte_percentage": 123,
"show_on_dashboard": true,
"note": "<string>",
"custom_fields": {}
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List leaves for a profile
Returns a list of leave records
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/leaves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "leave",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"is_current": true,
"name": "<string>",
"external_id": "<string>",
"leave_type": "<string>",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"fte_percentage": 123,
"show_on_dashboard": true,
"note": "<string>",
"custom_fields": {}
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: profile
Sort order. Prefix with - for descending. Allowed: created_at, updated_at
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, is_current (boolean, Limit to currently-effective records.), leave_type, name, name.neq, name.cont (case-insensitive substring match), name.in (list of values, comma-separated), name.nin (list of values, comma-separated), external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (list of values, comma-separated), external_id.nin (list of values, comma-separated), effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte, fte_percentage (number), fte_percentage.neq (number), fte_percentage.lt (number), fte_percentage.lte (number), fte_percentage.gt (number), fte_percentage.gte (number), show_on_dashboard (boolean), profile. Filter by a custom field with filter[custom_fields][<key>]=<value>. The neq, cont, in, nin, lt, lte, gt, and gte operators take the form filter[custom_fields.<operator>][<key>]=<value>, where the field's type decides which apply.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page